using System.ComponentModel;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///  机械臂520
    /// </summary>
    [Description("机械臂520")]
    public interface IRobot520 : IProtocol
    {
        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        public int TaskNumber1 { get; set; }

        /// <summary>
        ///  任务起始行
        /// </summary>
        [Description("任务起始行")]
        public short SLine1 { get; set; }

        /// <summary>
        ///  任务起始列
        /// </summary>
        [Description("任务起始列")]
        public short SCol1 { get; set; }

        /// <summary>
        ///  任务起始层
        /// </summary>
        [Description("任务起始层")]
        public short SLayer1 { get; set; }

        /// <summary>
        ///  任务起始深度
        /// </summary>
        [Description("任务起始深度")]
        public short SDepth1 { get; set; }

        /// <summary>
        ///  任务目标行
        /// </summary>
        [Description("任务目标行")]
        public short ELine1 { get; set; }

        /// <summary>
        ///  任务目标列
        /// </summary>
        [Description("任务目标列")]
        public short ECol1 { get; set; }

        /// <summary>
        ///  任务目标层
        /// </summary>
        [Description("任务目标层")]
        public short ELayer1 { get; set; }

        /// <summary>
        ///  任务目标深度
        /// </summary>
        [Description("任务目标深度")]
        public short EDepth1 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res1 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res2 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res3 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res4 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res5 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res6 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res7 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res8 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        public int TaskNumber2 { get; set; }

        /// <summary>
        ///  任务起始行
        /// </summary>
        [Description("任务起始行")]
        public short SLine2 { get; set; }

        /// <summary>
        ///  任务起始列
        /// </summary>
        [Description("任务起始列")]
        public short SCol2 { get; set; }

        /// <summary>
        ///  任务起始层
        /// </summary>
        [Description("任务起始层")]
        public short SLayer2 { get; set; }

        /// <summary>
        ///  任务起始深度
        /// </summary>
        [Description("任务起始深度")]
        public short SDepth2 { get; set; }

        /// <summary>
        ///  任务目标行
        /// </summary>
        [Description("任务目标行")]
        public short ELine2 { get; set; }

        /// <summary>
        ///  任务目标列
        /// </summary>
        [Description("任务目标列")]
        public short ECol2 { get; set; }

        /// <summary>
        ///  任务目标层
        /// </summary>
        [Description("任务目标层")]
        public short ELayer2 { get; set; }

        /// <summary>
        ///  任务目标深度
        /// </summary>
        [Description("任务目标深度")]
        public short EDepth2 { get; set; }

        [Description("货物类型")]
        public short GoodsType { get; set; }

        /// <summary>
        ///  任务类型
        /// </summary>
        [Description("任务类型")]
        public short TaskType { get; set; }

        /// <summary>
        ///  完成任务确认清除信号
        /// </summary>
        [Description("完成任务确认清除信号")]
        public short OkAck { get; set; }

        /// <summary>
        ///  任务数量
        /// </summary>
        [Description("任务数量")]
        public short TaskSum { get; set; }

        /// <summary>
        ///  凭证号
        /// </summary>
        [Description("凭证号")]
        public int VoucherNo { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res9 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res10 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res11 { get; set; }
    }
}
